Bug 1487150 - vdsm should ignore dummy interfaces and not try to enable Lldp on the dummy ports
Summary: vdsm should ignore dummy interfaces and not try to enable Lldp on the dummy p...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: vdsm
Classification: oVirt
Component: Core
Version: 4.20.0
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ovirt-4.1.6
: 4.19.31
Assignee: Dominik Holler
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-31 10:35 UTC by Michael Burman
Modified: 2017-09-19 10:02 UTC (History)
4 users (show)

Fixed In Version: vdsm v4.19.31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-19 10:02:47 UTC
oVirt Team: Network
rule-engine: ovirt-4.1+
rule-engine: ovirt-4.2+


Attachments (Terms of Use)
supervdsm log (489.40 KB, application/x-gzip)
2017-09-04 07:55 UTC, Michael Burman
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 81287 0 ovirt-4.1 POST Avoid calling netinfo() during initialization 2017-09-04 13:33:55 UTC

Description Michael Burman 2017-08-31 10:35:03 UTC
Description of problem:
vdsm should ignore dummy interfaces and not try to enable Lldp on the dummy ports 

vdsm trying to enable Lldp and to get the status of a dummy interface, but we should exclude the dummy interfaces and we shouldn't try to enable and to get dummy's status. 

Version-Release number of selected component (if applicable):
vdsm-4.20.2-133.git0ce4485.el7.centos.x86_64
lldpad-1.0.1-3.git036e314.el7.x86_64

Comment 1 Dominik Holler 2017-09-04 07:28:04 UTC
VDSM should already ignore dummy interfaces and not try to enable Lldp on the dummy ports.
Is the logfile for enabling LLDP on a dummy port available?

Comment 2 Michael Burman 2017-09-04 07:52:30 UTC
(In reply to Dominik Holler from comment #1)
> VDSM should already ignore dummy interfaces and not try to enable Lldp on
> the dummy ports.
> Is the logfile for enabling LLDP on a dummy port available?

MainThread::ERROR::2017-08-24 11:12:02,924::initializer::53::root::(_lldp_init) Failed to enable LLDP on dummy_1
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/vdsm/network/initializer.py", line 51, in _lldp_init
    Lldp.enable_lldp_on_iface(device)
  File "/usr/lib/python2.7/site-packages/vdsm/network/lldp/lldpad.py", line 30, in enable_lldp_on_iface
    lldptool.enable_lldp_on_iface(iface, rx_only)
  File "/usr/lib/python2.7/site-packages/vdsm/network/lldpad/lldptool.py", line 46, in enable_lldp_on_iface
    raise EnableLldpError(rc, out, err, iface)
EnableLldpError: (1, "timeout\n'M00000001C3040000000c07dummy_1000badminStatus0002rx' command timed out.\n", '', 'dummy_1')

Attaching the log.
When was it fixed? do we have a patch for it?

Comment 3 Michael Burman 2017-09-04 07:55:04 UTC
Created attachment 1321721 [details]
supervdsm log

Comment 4 Dominik Holler 2017-09-04 08:01:25 UTC
Thanks for the log.
Because of bug https://bugzilla.redhat.com/1487157 the implementation of the selection of the network interfaces is changed in https://gerrit.ovirt.org/#/c/81287/ .
But in the old and the new implementation only NICs should be initialized, so this bug needs further analysis.

Comment 5 Michael Burman 2017-09-06 05:58:20 UTC
Dominik this bug is targeted to 4.1.6 and can't be ON_QA, as we don't have any new build.

Comment 6 Michael Burman 2017-09-10 12:22:29 UTC
Verified on - vdsm-4.19.31-1.el7ev.x86_64


Note You need to log in before you can comment on or make changes to this bug.